curl --request GET \
--url https://gateway.paybyrd.com/api/v2/orders/{orderId} \
--header 'x-api-key: <api-key>'import requests
url = "https://gateway.paybyrd.com/api/v2/orders/{orderId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://gateway.paybyrd.com/api/v2/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orderId": "63a8a157-81c9-46ea-84b4-2bef6daad3fa",
"orderDate": "2021-08-24T17:45:27Z",
"expiresAt": "2021-08-25T17:45:27Z",
"status": "paid",
"isoAmount": 5000,
"currency": "EUR",
"orderRef": "ABC123456",
"shopper": {
"shopperId": "676b5023-9624-4d19-bdd2-c61b1be803b7",
"firstName": "JHOSH",
"lastName": "JONES",
"email": "jhoshjs@dominio.com",
"phoneCountryCode": 351,
"phoneNumber": "123123123",
"ip": "111.111.111.111"
},
"shoppingCart": [
{
"description": "Product",
"amount": 2500,
"categories": [
"Category 1",
"Category 2"
],
"shipping": {
"shippingMethod": "STD"
},
"type": "Product",
"imageUrl": "https://cdn.merchant.com/products/ticket.png"
}
],
"orderOptions": {
"redirectUrl": "https://your-site-url/payment-finished",
"culture": "en-US",
"checkoutVersion": 2,
"expiresIn": "00:15:00"
},
"paymentOptions": {
"maxAttempts": 1,
"sessionExpiresIn": "00:10:00",
"allowedPaymentMethods": [
"CARD",
"SIBS_MULTIBANCO",
"SEPA",
"IDEAL",
"MBWAY"
],
"cardOptions": {
"isPreAuth": false
},
"tokenOptions": {
"customReference": "ABC123456",
"tokenizationIsRequired": false,
"tokenizationMethod": "cardOnFile"
}
},
"index": 1,
"transactions": {
"currency": "AOA",
"orderRef": "AMZ1962",
"brand": "MULTICAIXAEXPRESS",
"operationType": "Payment",
"status": "Success",
"createdDate": "2021-05-31T22:01:57Z",
"transactionDate": "2021-05-31T22:01:57Z",
"initiatedFrom": "HostedForm",
"personId": 10,
"index": 2,
"externalSessionIdentifier": "20c7c4b3-95cc-4ead-aa0b-918b634df05a,",
"externalTransactionIdentifier": "430f4c76-4eb8-40e0-bc80-562b2960a83f,",
"externalCustomIdentifier": "c9a625d4-d968-47a0-b237-e5d4f31dfcd4",
"transactionId": "c9a625d4-d968-47a0-b237-e5d4f31dfcd4",
"amount": "300.10",
"multicaixaExpress": {
"deeplink": "mcxwallet://purchase?qrref=000201010212260700032205203742530497325406300.105802AO5908ProxyPay6006Luanda61081000-10062430532fe4eeddd078343c391d6d10721233a3207034446304F577",
"deeplinkRedirect": "https://api.sandbox.proxypay.co.ao/deeplink/LTvDt6U2WiFU0Ds_TScsbSbULbbCIbB2zrZsAS3r96hqDKVFMDAwMjAxMDEwMjEyMjYwNzAwMDMyMjA1MjAzNzQyNTMwNDk3MzI1NDA2MzAwLjEwNTgwMkFPNTkwOFByb3h5UGF5NjAwNkx1YW5kYTYxMDgxMDAwLTEwMDYyNDMwNTMyZmU0ZWVkZGQwNzgzNDNjMzkxZDZkMTA3MjEyMzNhMzIwNzAzNDQ0NjMwNEY1Nzc=",
"qrCodeUrl": "https://api.sandbox.proxypay.co.ao/qrcode/LTvDt6U2WiFU0Ds_TScsbSbULbbCIbB2zrZsAS3r96hqDKVFMDAwMjAxMDEwMjEyMjYwNzAwMDMyMjA1MjAzNzQyNTMwNDk3MzI1NDA2MzAwLjEwNTgwMkFPNTkwOFByb3h5UGF5NjAwNkx1YW5kYTYxMDgxMDAwLTEwMDYyNDMwNTMyZmU0ZWVkZGQwNzgzNDNjMzkxZDZkMTA3MjEyMzNhMzIwNzAzNDQ0NjMwNEY1Nzc=",
"expiresAt": "2026-05-19T18:00:37"
}
}
}Query Order
Query order data by order id
Authorizations
Path Parameters
The order identifier generated by Paybyrd.
Response
200
This field contains the unique identifier that represents the order.
"e901d7fa-a41a-4c93-bc53-7a08cd72aff4"
Total amount for this order
Total amount for this order, with the following pattern "0.00"
"25.00"
Valid ISO-4217 alpha code e.g EUR
"EUR"
Merchant reference for this order
"ABC123456"
Represents the status of the order. Created - Order has no payments associated to it or all payment attempts have failed. Pending - Order has a payment associated to it which is in progress but not concluded. Paid - Order has a payment associated to it with final status 'Success'. Canceled - This status can occur by system routines, shopper action by clicking on 'cancel payment' button in the hosted page or by calling the order cancel endpoint. Expired - This status occurs by system routines that checks for payment abandonment or in case an expiration date is sent in the create order request. Refunded - In case a successful payment is refunded, its order will have the 'Refunded' status.
created, paid, pending, refunded, canceled, expired "created"
Order creation date in UTC
"2021-05-31T22:04:31Z"
Order expiration date in UTC
"2021-05-31T22:04:31Z"
Order cancellation date in UTC
"2021-05-31T22:04:31Z"
Identifier of the last transaction processed for this order
"1c5a405d-1525-4ded-ae5b-d7dfded4a194"
Total refunded amount for this order, with the following pattern "0.00"
"25.00"
Show child attributes
Show child attributes
- Product
- Travel
- Travel with stay
Show child attributes
Show child attributes
Defines settings for this order
Show child attributes
Show child attributes
Defines settings for payment.
Show child attributes
Show child attributes
Show child attributes
Show child attributes

